# -*- coding: UTF-8 -*-

from django.db.models import Q
from gm_dataquery.dataquery import DataBuilder, DataSQLQuery

from api.models import BodyPart
from gm_dataquery.db import DB


class BodyPartDB(DataBuilder):
    def getval_tag_name(self, obj):
        return unicode(obj.tag)


@DB
class BodyPartDQ(DataSQLQuery):
        model = BodyPart
        data_model = BodyPartDB
